<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.system.mapper.SysFeedbackMapper">

    <resultMap type="SysFeedback" id="SysFeedbackResult">
        <result property="id" column="id"/>
        <result property="feedbackType" column="feedback_type"/>
        <result property="feedbackContent" column="feedback_content"/>
        <result property="feedbackResult" column="feedback_result"/>
        <result property="status" column="status"/>
        <result property="appUserId" column="app_user_id"/>
        <result property="createById" column="create_by_id"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateById" column="update_by_id"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectSysFeedbackVo">
        select id, feedback_type, feedback_content, feedback_result, status, app_user_id, create_by_id, create_by, create_time, update_by_id, update_by, update_time, remark
        from sys_feedback
    </sql>

    <select id="selectSysFeedbackList" parameterType="SysFeedback" resultMap="SysFeedbackResult">
        <include refid="selectSysFeedbackVo"/>
        <where>
            <if test="feedbackType != null  and feedbackType != ''">
                and feedback_type = #{feedbackType}
            </if>
            <if test="feedbackContent != null  and feedbackContent != ''">
                and feedback_content = #{feedbackContent}
            </if>
            <if test="feedbackResult != null  and feedbackResult != ''">
                and feedback_result = #{feedbackResult}
            </if>
            <if test="status != null  and status != ''">
                and status = #{status}
            </if>
            <if test="appUserId != null ">
                and app_user_id = #{appUserId}
            </if>
        </where>
    </select>

    <select id="selectSysFeedbackById" parameterType="Long"
            resultMap="SysFeedbackResult">
        <include refid="selectSysFeedbackVo"/>
        where id = #{id}
    </select>

    <insert id="insertSysFeedback" parameterType="SysFeedback" useGeneratedKeys="true"
            keyProperty="id">
        insert into sys_feedback
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="feedbackType != null">feedback_type,
            </if>
            <if test="feedbackContent != null">feedback_content,
            </if>
            <if test="feedbackResult != null">feedback_result,
            </if>
            <if test="status != null">status,
            </if>
            <if test="appUserId != null">app_user_id,
            </if>
            <if test="createById != null">create_by_id,
            </if>
            <if test="createBy != null">create_by,
            </if>
            <if test="createTime != null">create_time,
            </if>
            <if test="updateById != null">update_by_id,
            </if>
            <if test="updateBy != null">update_by,
            </if>
            <if test="updateTime != null">update_time,
            </if>
            <if test="remark != null">remark,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="feedbackType != null">#{feedbackType},
            </if>
            <if test="feedbackContent != null">#{feedbackContent},
            </if>
            <if test="feedbackResult != null">#{feedbackResult},
            </if>
            <if test="status != null">#{status},
            </if>
            <if test="appUserId != null">#{appUserId},
            </if>
            <if test="createById != null">#{createById},
            </if>
            <if test="createBy != null">#{createBy},
            </if>
            <if test="createTime != null">#{createTime},
            </if>
            <if test="updateById != null">#{updateById},
            </if>
            <if test="updateBy != null">#{updateBy},
            </if>
            <if test="updateTime != null">#{updateTime},
            </if>
            <if test="remark != null">#{remark},
            </if>
        </trim>
    </insert>

    <update id="updateSysFeedback" parameterType="SysFeedback">
        update sys_feedback
        <trim prefix="SET" suffixOverrides=",">
            <if test="feedbackType != null">feedback_type =
                #{feedbackType},
            </if>
            <if test="feedbackContent != null">feedback_content =
                #{feedbackContent},
            </if>
            <if test="feedbackResult != null">feedback_result =
                #{feedbackResult},
            </if>
            <if test="status != null">status =
                #{status},
            </if>
            <if test="appUserId != null">app_user_id =
                #{appUserId},
            </if>
            <if test="createById != null">create_by_id =
                #{createById},
            </if>
            <if test="createBy != null">create_by =
                #{createBy},
            </if>
            <if test="createTime != null">create_time =
                #{createTime},
            </if>
            <if test="updateById != null">update_by_id =
                #{updateById},
            </if>
            <if test="updateBy != null">update_by =
                #{updateBy},
            </if>
            <if test="updateTime != null">update_time =
                #{updateTime},
            </if>
            <if test="remark != null">remark =
                #{remark},
            </if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteSysFeedbackById" parameterType="Long">
        delete from sys_feedback where id = #{id}
    </delete>

    <delete id="deleteSysFeedbackByIds" parameterType="String">
        delete from sys_feedback where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>



</mapper>